Upstream information

CVE-2011-2176 at MITRE

Description

GNOME NetworkManager before 0.8.6 does not properly enforce the auth_admin element in PolicyKit, which allows local users to bypass intended wireless network sharing restrictions via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:P/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 702016 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.3
  • NetworkManager-debuginfo >= 0.8-8.13.1
  • NetworkManager-debugsource >= 0.8-8.13.1
  • NetworkManager-glib-debuginfo >= 0.8-8.13.1
  • NetworkManager-gnome-debuginfo >= 0.8-6.3.2
  • NetworkManager-gnome-debugsource >= 0.8-6.3.2
  • wpa_supplicant-debuginfo >= 0.7.1-5.3.1
  • wpa_supplicant-debugsource >= 0.7.1-5.3.1
  • wpa_supplicant-gui-debuginfo >= 0.7.1-5.3.1
openSUSE 11.3
  • NetworkManager >= 0.8-8.13.1
  • NetworkManager-devel >= 0.8-8.13.1
  • NetworkManager-doc >= 0.8-8.13.1
  • NetworkManager-glib >= 0.8-8.13.1
  • NetworkManager-gnome >= 0.8-6.3.2
  • wpa_supplicant >= 0.7.1-5.3.1
  • wpa_supplicant-gui >= 0.7.1-5.3.1
openSUSE 11.4
  • NetworkManager >= 0.8.2-15.28.1
  • NetworkManager-devel >= 0.8.2-15.28.1
  • NetworkManager-doc >= 0.8.2-15.28.1
  • NetworkManager-glib >= 0.8.2-15.28.1
  • NetworkManager-gnome >= 0.8.2-9.12.1
  • NetworkManager-gnome-lang >= 0.8.2-9.12.1
  • NetworkManager-lang >= 0.8.2-15.28.1
  • wpa_supplicant >= 0.7.3-3.4.1
  • wpa_supplicant-gui >= 0.7.3-3.4.1
openSUSE 11.4
  • NetworkManager >= 0.8.2-15.28.1
  • NetworkManager-debuginfo >= 0.8.2-15.28.1
  • NetworkManager-debugsource >= 0.8.2-15.28.1
  • NetworkManager-devel >= 0.8.2-15.28.1
  • NetworkManager-doc >= 0.8.2-15.28.1
  • NetworkManager-glib >= 0.8.2-15.28.1
  • NetworkManager-glib-debuginfo >= 0.8.2-15.28.1
  • NetworkManager-gnome >= 0.8.2-9.12.1
  • NetworkManager-gnome-debuginfo >= 0.8.2-9.12.1
  • NetworkManager-gnome-debugsource >= 0.8.2-9.12.1
  • NetworkManager-gnome-lang >= 0.8.2-9.12.1
  • NetworkManager-lang >= 0.8.2-15.28.1
  • wpa_supplicant >= 0.7.3-3.4.1
  • wpa_supplicant-debuginfo >= 0.7.3-3.4.1
  • wpa_supplicant-debugsource >= 0.7.3-3.4.1
  • wpa_supplicant-gui >= 0.7.3-3.4.1
  • wpa_supplicant-gui-debuginfo >= 0.7.3-3.4.1
Patchnames:
NetworkManager


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 NetworkManager Released
SUSE Linux Enterprise Desktop 10 SP3 wpa_supplicant Released
SUSE Linux Enterprise Desktop 10 SP4 NetworkManager Released
SUSE Linux Enterprise Desktop 10 SP4 wpa_supplicant Released
SUSE Linux Enterprise Desktop 11 SP1 NetworkManager Released
SUSE Linux Enterprise Desktop 11 SP1 NetworkManager-gnome Released
SUSE Linux Enterprise Desktop 11 SP1 wpa_supplicant Released
SUSE Linux Enterprise SDK 11 SP1 NetworkManager Released
SUSE Linux Enterprise Server 10 SP3 NetworkManager Released
SUSE Linux Enterprise Server 10 SP3 wpa_supplicant Released
SUSE Linux Enterprise Server 10 SP4 NetworkManager Released
SUSE Linux Enterprise Server 10 SP4 wpa_supplicant Released
SUSE Linux Enterprise Server 10 SP4 LTSS NetworkManager Released
SUSE Linux Enterprise Server 10 SP4 LTSS wpa_supplicant Released
SUSE Linux Enterprise Server 11 SP1 NetworkManager Released
SUSE Linux Enterprise Server 11 SP1 NetworkManager-gnome Released
SUSE Linux Enterprise Server 11 SP1 wpa_supplicant Released
SUSE Linux Enterprise Server 11 SP1 LTSS NetworkManager Released
SUSE Linux Enterprise Server 11 SP1 LTSS NetworkManager-gnome Released
SUSE Linux Enterprise Server 11 SP1 LTSS wpa_supplicant Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 NetworkManager Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 NetworkManager-gnome Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 wpa_supplicant Released